petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscBLASIntCast

casts a PetscInt (which may be 64 bits in size) to a PetscBLASInt (which may be 32 bits in size), generates an error if the PetscBLASInt is not large enough to hold the number.

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscBLASIntCast(PetscInt a,PetscBLASInt *b)

Not Collective

### Input Parameter

a -the PetscInt value

### Output Parameter

b -the resulting PetscBLASInt value

### See Also

PetscBLASInt, PetscMPIInt, PetscInt, PetscMPIIntCast()

Level:advanced
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex8.c.html